Bug 699697 - Review Request: drupal6-diff - Show diff-type changes in Drupal 6
Review Request: drupal6-diff - Show diff-type changes in Drupal 6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Borsa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-04-26 08:08 EDT by Paul W. Frields
Modified: 2011-07-30 23:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal6-diff-2.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-13 17:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.borsa: fedora‑review+
peter.borsa: needinfo+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2011-04-26 08:08:04 EDT
Spec URL:http://pfrields.fedorapeople.org/packages/SPECS/drupal6-diff.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/drupal6-diff-2.1-1.fc15.src.rpm
Description:
This module adds a tab for sufficiently permissioned users. The tab
shows all revisions like standard Drupal but it also allows pretty
viewing of all added/changed/deleted words between revisions.
Comment 1 Paul W. Frields 2011-04-26 08:09:24 EDT
$ rpmlint rpmbuild/SPECS/drupal6-diff.spec rpmbuild/SRPMS/drupal6-diff-2.1-1.fc15.src.rpm rpmbuild/RPMS/noarch/drupal6-diff-2.1-1.fc15.noarch.rpm 
drupal6-diff.src: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
drupal6-diff.noarch: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 2 Peter Borsa 2011-06-14 17:48:19 EDT
I rebuilt this package from your spec file and I got an error.

[asrob@alice SPECS]$ rpmlint drupal6-diff.spec ../SRPMS/drupal6-diff-2.1-1.fc15.src.rpm ../RPMS/noarch/drupal6-diff-2.1-1.fc15.noarch.rpm 
drupal6-diff.src: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
drupal6-diff.noarch: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
drupal6-diff.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-diff-2.1/LICENSE.txt
2 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 3 Paul W. Frields 2011-07-12 09:09:33 EDT
Fixed LICENSE.txt problem -- the spelling errors can be ignored.

http://pfrields.fedorapeople.org/packages/SPECS/drupal6-diff.spec
http://pfrields.fedorapeople.org/packages/SRPMS/drupal6-diff-2.1-2.fc15.src.rpm
Comment 4 Peter Borsa 2011-07-12 12:28:09 EDT
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint drupal6-diff.spec ../SRPMS/drupal6-diff-2.1-2.fc15.src.rpm ../RPMS/noarch/drupal6-diff-2.1-2.fc15.noarch.rpm 
drupal6-diff.src: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
drupal6-diff.noarch: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Note: A copy of LICENSE.txt is added by the packager to correct the old FSF
address in the included LICENSE.txt.  Packager should report this issue
upstream, and note the upstream bug URL in a comment so this package can be
updated in the event of a new upstream release that fixes the problem.  This is
a minor issue only and should not block the package.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum ../SOURCES/diff-6.x-2.1.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/diff-6.x-2.1.tar.gz | md5sum -
83f3bc87f3e01cb4fbb0d149c22ad9f6  ../SOURCES/diff-6.x-2.1.tar.gz
83f3bc87f3e01cb4fbb0d149c22ad9f6  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ O K ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ O K ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ O K ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ O K ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.


The license file issue is fixed, there is a comments about this issue in the spec file.

APPROVED.
Comment 5 Paul W. Frields 2011-07-12 13:43:06 EDT
New Package SCM Request
=======================
Package Name: drupal6-admin_menu
Short Description: Theme-independent administration interface for Drupal 6
Owners: pfrields asrob
Branches: f15 el5 el6
InitialCC:
Comment 6 Paul W. Frields 2011-07-12 13:43:50 EDT
Sorry, hit Enter in the wrong focus without meaning to send... Correction coming in the next comment.
Comment 7 Paul W. Frields 2011-07-12 13:44:22 EDT
New Package SCM Request
=======================
Package Name: drupal6-diff
Short Description: Show diff-type changes in Drupal 6
Owners: pfrields asrob
Branches: f15 el5 el6
InitialCC:
Comment 8 Jon Ciesla 2011-07-12 23:15:58 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-07-13 07:15:49 EDT
drupal6-diff-2.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-diff-2.1-2.fc15
Comment 10 Fedora Update System 2011-07-13 07:34:38 EDT
drupal6-diff-2.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-diff-2.1-2.el5
Comment 11 Fedora Update System 2011-07-13 15:25:56 EDT
drupal6-diff-2.1-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 12 Fedora Update System 2011-07-13 17:21:38 EDT
drupal6-diff-2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-diff-2.1-2.el6
Comment 13 Fedora Update System 2011-07-30 06:36:19 EDT
drupal6-diff-2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2011-07-30 06:40:25 EDT
drupal6-diff-2.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2011-07-30 23:41:35 EDT
drupal6-diff-2.1-2.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.